ScheduledQueryClientCompositeOperations¶
- class oci.apm_traces.ScheduledQueryClientCompositeOperations(client, **kwargs)¶
This class provides a wrapper around
ScheduledQueryClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
__init__(client, **kwargs)Creates a new ScheduledQueryClientCompositeOperations object
Calls
create_scheduled_query()and waits for theScheduledQueryacted upon to enter the given state(s).Calls
delete_scheduled_query()and waits for theScheduledQueryacted upon to enter the given state(s).Calls
update_scheduled_query()and waits for theScheduledQueryacted upon to enter the given state(s).- __init__(client, **kwargs)¶
Creates a new ScheduledQueryClientCompositeOperations object
- Parameters
client (ScheduledQueryClient) – The service client which will be wrapped by this object
- create_scheduled_query_and_wait_for_state(apm_domain_id, create_scheduled_query_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_scheduled_query()and waits for theScheduledQueryacted upon to enter the given state(s).- Parameters
apm_domain_id (str) – (required) The APM Domain ID for the intended request.
create_scheduled_query_details (oci.apm_traces.models.CreateScheduledQueryDetails) – (required) Request body containing the details about the scheduled query to be created.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_scheduled_query()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_scheduled_query_and_wait_for_state(apm_domain_id, scheduled_query_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_scheduled_query()and waits for theScheduledQueryacted upon to enter the given state(s).- Parameters
apm_domain_id (str) – (required) The APM Domain ID for the intended request.
scheduled_query_id (str) – (required) Id of the scheduled query.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_scheduled_query()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_scheduled_query_and_wait_for_state(apm_domain_id, scheduled_query_id, update_scheduled_query_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_scheduled_query()and waits for theScheduledQueryacted upon to enter the given state(s).- Parameters
apm_domain_id (str) – (required) The APM Domain ID for the intended request.
scheduled_query_id (str) – (required) Id of the scheduled query.
update_scheduled_query_details (oci.apm_traces.models.UpdateScheduledQueryDetails) – (required) Request body containing the details about the scheduled query to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_scheduled_query()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait